Module java.base
Package java.security.interfaces

# Interface RSAPrivateKey

All Superinterfaces:
  `Destroyable`, `Key`, `PrivateKey`, `RSAKey`, `Serializable`

All Known Subinterfaces:
  `RSAMultiPrimePrivateCrtKey`, `RSAPrivateCrtKey`

public interface RSAPrivateKey extends PrivateKey, RSAKey
The interface to an RSA private key.

Since:
  1.2
See Also:
  - `RSAPrivateCrtKey`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getPrivateExponent()`
Returns the private exponent.

### Methods declared in interface javax.security.auth.Destroyable

`destroy, isDestroyed`

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Methods declared in interface java.security.interfaces.RSAKey

`getModulus, getParams`

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

See Also:
  - Constant Field Values

## Method Details

### getPrivateExponent

BigInteger getPrivateExponent()
Returns the private exponent.

Returns:
  the private exponent